<?php
include_once("config.php");		//调用smarty的配置文件
include_once("conn.php");			//连接数据库
include_once("function.php");		//调用包含文件
$ddnumber=$_GET["ddno"];			//获取参数传递的订单好
$array=array();						//定义空数组
//以订单号为条件，从数据库中查询出订单的数据
$sql=mysql_query("select * from tb_commodity_order_form where ddnumber='".$ddnumber."'",$conn);
$info=mysql_fetch_array($sql);
array_push($array,$info);		//将查询出的数据写入到数组中
$smarty->assign("info",$array);	//定义smarty模板变量

if($_GET["pv"]=="p"){			//判断当pv的值等于p时，定义$pv=1
$pv=1;
  }elseif($_GET["pv"]=="v"){		//判断当pv的值等于v时,定义$pv的值等于2
$pv=2;
  }
$smarty->assign("pv",$pv);		//定义模板变量


//读取session变量中存储的购买商品的数据
$array=explode("@",$info["spc"]);
$arraynum=explode("@",$info["slc"]);
$totalprice=0;									//定义价格变量
$arrayinfo=array();								//创建数组
for($i=0;$i<count($array);$i++){
	if($array[$i]!=""){
		$sqlcart=mysql_query("select * from tb_commodity where tb_commodity_id='".$array[$i]."'",$conn);
		$infocart=mysql_fetch_array($sqlcart);	//读取数据库中数据
    	$totalprices=$infocart["tb_commodity_price"]*$arraynum["$i"];		//计算总的价格
		array_push($infocart,$arraynum["$i"]);  //将购买数量的数据写入到数据库中返回的数组中    
		array_push($infocart,$totalprices);  //将购买数量的数据写入到数据库中返回的数组中    
    	array_push($arrayinfo,$infocart);       //将整理的数据压入到创建的新数组中
    	$totalprice+=$infocart["tb_commodity_price"]*$arraynum["$i"];		//计算总的价格
	}
}
if(count($arrayinfo)>0){						//判断数组是否为空
$gnum=count($arrayinfo);
//定义smarty模板变量，传递订单的数据和购买商品数据
	$smarty->assign("isShow","T");
  	$smarty->assign("gnum",$gnum);
  	$smarty->assign("myrow",$arrayinfo);
  	$smarty->assign("totalprice",$totalprice);
}else{
  	$smarty->assign("isShow","F");
}

$smarty->display("printwindow.tpl");		//定义模板页

?>
